Bug 429457 - scroll wheel does not work reliably
scroll wheel does not work reliably
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2008-01-20 10:50 EST by Michael de Mare
Modified: 2008-01-25 18:08 EST (History)
0 users

See Also:
Fixed In Version: 2008-01-25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-25 18:08:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fedora 6 xorg.conf (2.79 KB, application/octet-stream)
2008-01-21 08:57 EST, Michael de Mare
no flags Details
Fedora 6 Xorg.0.log (45.27 KB, text/plain)
2008-01-21 08:58 EST, Michael de Mare
no flags Details
Fedora 8 xorg.conf (2.08 KB, application/octet-stream)
2008-01-21 09:01 EST, Michael de Mare
no flags Details
Fedora 8 Xorg.0.log (1.53 MB, application/x-gzip)
2008-01-21 09:05 EST, Michael de Mare
no flags Details
Fedora 8 Xorg.0.log (1.53 MB, text/plain)
2008-01-21 09:26 EST, Matěj Cepl
no flags Details

  None (edit)
Description Michael de Mare 2008-01-20 10:50:12 EST
Description of problem:

Scroll wheel shows unpredictable behavior in a variety of applications.

Version-Release number of selected component (if applicable):

This first showed up in Fedora 8, but also started showing up in Fedora 6 after
a recent yum update/reboot.  Both cases are using the KDE Desktop environment. 
Examples of problems include scrolling up causing jump to a random webpage in
Fedora and scrolling up causing random commands to be run in Konsole.

How reproducible:

Intermittent, but happens frequently.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Matěj Cepl 2008-01-21 08:00:14 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Michael de Mare 2008-01-21 08:56:06 EST
For the Fedora 6 system or the Fedora 8 system?  The Fedora 8 system Xorg.0.log
is too large to attach without compression.
Comment 3 Michael de Mare 2008-01-21 08:57:25 EST
Created attachment 292367 [details]
Fedora 6 xorg.conf

This is the /etc/xorg.conf for the Fedora 6 system that doesn't work correctly.
Comment 4 Michael de Mare 2008-01-21 08:58:29 EST
Created attachment 292368 [details]
Fedora 6 Xorg.0.log
Comment 5 Michael de Mare 2008-01-21 09:01:56 EST
Created attachment 292369 [details]
Fedora 8 xorg.conf

This is the Xorg.conf file for the Fedora 8 system where the scroll wheel does
not work correctly.  I cannot run without the file because of the ATI drivers.
Comment 6 Michael de Mare 2008-01-21 09:05:03 EST
Created attachment 292370 [details]
Fedora 8 Xorg.0.log
Comment 7 Matěj Cepl 2008-01-21 09:26:46 EST
Created attachment 292372 [details]
Fedora 8 Xorg.0.log

> The Fedora 8 system Xorg.0.log is too large to attach without compression.

Don't worry, we don't have that tight limits on attachments.
Comment 8 Michael de Mare 2008-01-25 14:41:06 EST
It seems to be working correctly on the Fedora 8 system after last night's
updates but it still doesn't work on the Fedora 6 system.
Comment 9 Matěj Cepl 2008-01-25 18:08:14 EST
Thanks for letting us know. I am sorry, but Fedora Core 6 is past of the End of
Support, so we won't fix that.

Note You need to log in before you can comment on or make changes to this bug.